import React, { Component } from "react";
import ProductItem from "../components/ProductItem";
import ProductItemVeterinary from "../components/ProductItemVeterinary";
import "../styles/product.scss";
import { BrowserRouter as Router, Switch, Route, Link } from "react-router-dom";

class Product extends Component {
  items = [
    {
      name: "Prosept H (Hand)",
      usage: "ضد عفونی کننده دست",
      val: "50 و 500 سی سی و 1 و 5 و 10 و 20 و لیتری",
      method: "آماده به مصرف",
      material:
        "حاوی اتانول، نرم کننده، سختی گیر، رنگ و اسانس مجاز و آمونیوم های چهار تایی",
    },
    {
      name: "Prosept NH (Non-alcoholic Hand)",
      usage: "ضد عفونی کننده دست",
      val: "50 و 500 سی سی و 1 و 5 و 10 و 20 و لیتری",
      method: "آماده به مصرف",
      material:
        "حاوی آمونیوم های چهارتایی، پایدار کننده، نرم کننده، سختی گیر و رنگ و اسانس مجاز",
    },
    {
      name: "Prosept S (Surface)",
      usage: "ضد عفونی کننده لوازم پزشکی، دندانپزشکی و سطوح عمومی حساس و ظریف",
      val: "350 سی سی و 1 و 5 و 10 و 20 و لیتری",
      method: "آماده به مصرف",
      material: "حاوی پراکسید هیدروژن و پراستیک اسید",
    },
    {
      name: "Prosept CS (Concentrate Surface)",
      usage: "ضد عفونی کننده سطوح ",
      val: " 1 و 5 و 10 و 20 و لیتری",
      method: "رقیق سازی توسط آب به نسبت 1 به 10",
      material: "حاوی پراکسید هیدروژن و پراستیک اسید و استیک اسید",
    },
    {
      name: "Prosept C (Concentrate)",
      usage: "ضد عفونی کننده سطوح ",
      val: " 1 و 5 و 10 و 20 و لیتری",
      method: "رقیق سازی توسط آب به نسبت 2 به 100",
      material: "حاوی آمونیوم های چهارتایی و پایدار کننده",
    },
  ];

  veterinary_items = [
    {
      name: "ضد عفونی کننده دام و طیور کنستانتره",
      usage:
        "اختصاصا برای ضد عفونی و گندزدایی سطح بالای مزارع پرورش طیور مورد استفاده قرار می گیرد که شامل موارد زیر است:" +
        " 1_گندزدایی هوای سالن در حضور جوجه" +
        " 2_ضد عفونی لاشه در کشتارگاه" +
        " 3_گندزدایی خوراک طیور" +
        " 4_گندزدایی نهایی سیستم های شیر دوشی بدون نیاز به شست و شو با آب" +
        " 5_گندزدایی فضای سالن" +
        " 6_گند زدایی اولیه سالن ها ، ابزار ، لوازم و حوضچه های ورودی",
      val: "1 و5 و10 و20 لیتری",
      material:
        "پراستیک اسید 5 درصد، پراکسید هیدروژن و اسید استیک گلاسیال پایدار کننده، آب دیونیزه",
      method:
        " در جای خشک، بین 25-10 درجه سلسیوس، دور از تابش نور مستقیم و در ظروف در بسته نگهداری شود.",
    },
    {
      name: "ضد عفونی کننده دام وطیور آماده به مصرف",
      usage:
        ": اختصاصًا برای ضدعفونی و گندزدایی سطح بالای مزارع پرورش طیور مورد استفاده قرار می گیرد که شامل موارد" +
        "زیر است:" +
        "1– گندزدایی هوای سالن در حضور جوجه" +
        "2– ضدعفونی الشه در کشتارگاه" +
        "3– گندزدایی خوراک طیور با رقت مشخص" +
        "4– گندزدایی نهایی سیستم های شیردوشی بدون نیاز به" +
        "شستشو با آب" +
        "5– گندزدایی فضای سالن" +
        "6– گندزدایی اولیه سالن ها، ابزار و لوازم",
      val: "1 و 5 و 10 و 20 لیتری",
      material: "پراکسید هیدروژن، پایدارکننده، آب دیونیزه",
      method:
        "در جای خشک، بین 25– 10 درجه سلسیوس،دور از تابش نور مستقیم و در ظروف در بسته نگهداری شود.",
    },
    {
      name: "ضد عفونی کننده دام وطیور آماده به مصرف برپایه آمونیوم های چهارتایی",
      usage:
        "اختصاصًا برای ضدعفونی و گندزدایی سطح بالای مزارع پرورش طیور مورد استفاده قرار می گیرد که شامل موارد زیر است:" +
        "1– گندزدایی هوای سالن در حضور جوجه" +
        "2– ضدعفونی الشه در کشتارگاه" +
        "3– گندزدایی خوراک طیور با رقت مشخص" +
        "4– گندزدایی نهایی سیستم های شیردوشی بدون نیاز به" +
        "شستشو با آب" +
        "5– گندزدایی فضای سالن" +
        "6– گندزدایی اولیه سالن ها، ابزار و لوازم",
      val: "1 و 5 و 10 و 20 لیتری",
      material:
        "دی دسیل دی متیل آمونیوم کلراید. بنزوآلکانیوم کلراید.آب دیونیزه",
      method:
        "در جای خشک،و دور از تابش نور مستقیم و در ظروف در بسته نگهداری شود.",
    },
  ];
  render() {
    return (
      <Router>
        <Switch>
          <Route path="/products/dr">
            <div className="product">
              {this.items.map((item) => {
                return <ProductItem info={item}></ProductItem>;
              })}
            </div>
          </Route>
          <Route path="/products/veterinary">
            <div className="product">
              {this.veterinary_items.map((item) => {
                return (
                  <ProductItemVeterinary info={item}></ProductItemVeterinary>
                );
              })}
            </div>
          </Route>
        </Switch>
      </Router>
    );
  }
}

export default Product;
